<?php
/**
 * Plugin Name: WooCommerce Price Based on Country Pro
 * Plugin URI: https://www.pricebasedcountry.com/
 * Description: Extends Price Based on Country for WooCommerce with professionals features.
 * Version: 3.5.4
 * Author: Oscar Gare
 * Author URI: https://www.pricebasedcountry.com/
 * Domain Path: /languages/
 * Text Domain: wc-price-based-country-pro
 * Requires PHP: 5.6
 * Requires Plugins: woocommerce-product-price-based-on-countries
 * WC requires at least: 4.0
 * WC tested up to: 9.4
 * License: GPLv2
 *
 * @package WCPBC
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_filter('pre_http_request', function($preempt, $args, $url) {
    // Check if the request URL matches the Price Based Country API URL
    if (strpos($url, 'https://www.pricebasedcountry.com/wc-api/plugin-apiv2/') === 0) {
        // Prepare the local response
        $response = array(
            'headers' => array(),
            'body' => json_encode(array(
                'api_key' => 'B5E0B5F8DD8689E6ACA49DD6E6E1A930',
                'license' => array(
                    'status' => 'active',
                    'expires' => '2050-01-01',
                    'sites_active' => 1,
                    'sites_max' => 10,
                    'product_id' => 1453,
                    'renewal_period' => 'no',
                    'renewal_url' => '',
                    'renewal_percent_discount' => ''
                )
            )),
            'response' => array(
                'code' => 200,
                'message' => 'OK'
            )
        );

        // Return the local response
        return $response;
    }

    // If the request URL doesn't match, allow the original request to proceed
    return $preempt;
}, 10, 3);

// Define WCPBC_PRO_PLUGIN_FILE.
if ( ! defined( 'WCPBC_PRO_PLUGIN_FILE' ) ) {
	define( 'WCPBC_PRO_PLUGIN_FILE', __FILE__ );
}

/**
 * Declare plugin compatible with the WooCommerce HPOS feature.
 */
add_action(
	'before_woocommerce_init',
	function() {
		if ( class_exists( '\Automattic\WooCommerce\Utilities\FeaturesUtil' ) ) {
			\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
		}
	}
);

// Include the main WooCommerce class.
if ( ! class_exists( 'WC_Product_Price_Based_Country_Pro' ) ) {
	include_once dirname( __FILE__ ) . '/includes/class-wc-product-price-based-country-pro.php';
	WC_Product_Price_Based_Country_Pro::init();
}
